package com.qmth.boot.core.metrics.config;

import com.qmth.boot.core.metrics.service.MetricsService;
import com.qmth.boot.core.metrics.service.impl.MemoryMetricsService;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;

@Configuration
@ComponentScan("com.qmth.boot.core.metrics.*")
public class MetricsAutoConfiguration {

    @Bean
    @ConditionalOnMissingBean(MetricsService.class)
    public MetricsService metricsService(MetricsProperties metricsProperties) {
        return new MemoryMetricsService(metricsProperties);
    }
}
